Subject: Re: Driver Output Impedance Calculation

From: Andrew Ingraham <[email-masked]>
Date: Thu, 30 Oct 97 11:12:20 EST

> Given the ibis model data that follows, how does one determine
> the output impedance of this driver for both the pullup and 
> pulldown side of the driver.  

Output impedance tends to be nonlinear, but the small-signal, low
frequency impedances are easy to estimate.  Just look at the slopes
of the Pulldown and Pullup curves where they intersect 0V.

> [Pullup] 
> |       I(typ)  I(min)  I(max)         
...
>  0.2     -7.0m      NA      NA
>  0.1     -3.0m      NA      NA
>  0.0    -45.0p      NA      NA
> -0.1      3.0m      NA      NA

0.1V/3.0mA = 33 ohms for the pullup, immediately around VDD.

> [Pulldown]               
> |       I(typ)  I(min)  I(max)         
...
> -0.1     -4.0m      NA      NA
>  0.0     18.0p      NA      NA
>  0.1      4.0m      NA      NA
>  0.2      8.0m      NA      NA
>  0.3     11.0m      NA      NA
>  0.4     15.0m      NA      NA

0.1V/4.0mA = 25 ohms for the pulldown, immediately around GND.

Use a bigger delta-V for more accuracy; it looks like the current
resolution (accuracy) in your tabulated data is 1.0mA.

Regards,
Andy Ingraham